# GimpUi.ColorArea.new

    function new(color: Gegl.Color, type: GimpUi.ColorAreaType, drag_mask: Gdk.ModifierType): Gtk.Widget {
        // Gjs wrapper for gimp_color_area_new()
    }

Creates a new GimpUi.ColorArea widget.

This returns a preview area showing the color. It handles color DND. If the color changes, the "color_changed" signal is emitted.

color

  A pointer to a [class@Gegl.Color].

type

  The type of color area to create.

drag_mask

  The event_mask that should trigger drags.

Returns

  Pointer to the new GimpUi.ColorArea widget.